> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出資料集

> 列出知識庫中的資料集

## 請求

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>
<ParamField path="knowledgebaseId" type="string" required>知識庫 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

回傳資料集的陣列，依建立日期排序（最新的在最前面）。

<ResponseField name="id" type="string">資料集的唯一識別符</ResponseField>
<ResponseField name="filename" type="string">原始上傳的檔案名稱</ResponseField>
<ResponseField name="fileUrl" type="string">下載原始檔案的 URL</ResponseField>
<ResponseField name="extensionType" type="string">檔案副檔名（例如 `pdf`、`txt`）</ResponseField>
<ResponseField name="size" type="number">檔案大小（位元組）</ResponseField>

<ResponseField name="isParsed" type="boolean">
  當資料集已完成切割成區塊並嵌入後為 `true`；仍在處理中時為 `false`。
</ResponseField>

<ResponseField name="createdAt" type="string">資料集建立時的 ISO 時間戳記</ResponseField>
<ResponseField name="updatedAt" type="string">資料集最後更新時的 ISO 時間戳記</ResponseField>

### 範例

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/knowledgebases/kb_abc123/datasets \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
[
  {
    "id": "dataset_abc123",
    "filename": "company-handbook.pdf",
    "fileUrl": "https://api.pathors.com/datasets/dataset_abc123.pdf",
    "extensionType": "pdf",
    "size": 2048000,
    "isParsed": true,
    "createdAt": "2026-01-15T10:30:00Z",
    "updatedAt": "2026-01-15T10:35:00Z"
  }
]
```
